Subject: [tsvwg] Fwd: New Version Notification for draft-morton-tsvwg-sce-02.txt

From: Pete Heist <[email-masked]>
Date: Mon, 2 Nov 2020 23:24:36 +0100

> A new version of I-D, draft-morton-tsvwg-sce-02.txt
> has been successfully submitted by Peter G. Heist and posted to the
> IETF repository.
> 
> Name:		draft-morton-tsvwg-sce
> Revision:	02
> Title:		The Some Congestion Experienced ECN Codepoint
> Document date:	2020-11-02
> Group:		Individual Submission
> Pages:		22
> URL:            https://www.ietf.org/archive/id/draft-morton-tsvwg-sce-02.txt
> Status:         https://datatracker.ietf.org/doc/draft-morton-tsvwg-sce/
> Html:           https://www.ietf.org/archive/id/draft-morton-tsvwg-sce-02.html
> Htmlized:       https://tools.ietf.org/html/draft-morton-tsvwg-sce-02
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-morton-tsvwg-sce-02
> 
> Abstract:
>   This memo reclassifies ECT(1) to be an early notification of
>   congestion on ECT(0) marked packets, which can be used by AQM
>   algorithms and transports as an earlier signal of congestion than CE.
>   It is a simple, transparent, and backward compatible upgrade to
>   existing IETF-approved AQMs, RFC3168, and nearly all congestion
>   control algorithms.

The SCE draft has been revised with several key additions:

* A new Design Rationale section explains how the risks with ECN signaling,
  unresponsive flows and the expanding matrix of congestion control mechanisms
  led to the SCE signaling design.

* A new Diffserv Usage section defines several optional codepoints to identify
  SCE traffic, assist middleboxes in their operation and request special PHB
  treatment.

* An example of a simple two-queue middlebox design is added that uses DSCP.

To leave space for the WG's current activities, we have not requested time
during the upcoming IETF meeting.  Feedback on the list, however, is welcome.